
import RenderWithoutJS from "@/components/RenderWithoutJS";
import Sidebar from "@/components/Sidebar";
import index from "@/styles/Index.module.sass"
import Lanyard from "@/components/Lanyard"
import Head from "next/head"
const Hello = ["Ahoy!", "Ahoy there!", "Hey there!", "Howdy howdy!", "Howdy, friend!", "Howdy!", "Hey!", "Hey there!", "Hi!", "Hello!", "Hello there!", "Hi there!"];
function randomHello() {
  return Hello[Math.floor(Math.random() * Hello.length)];
}


const IndexPage = () => {
  return (
    <RenderWithoutJS>

      <main id={index.layout}>
        <Head>
          <title>lio</title>
        </Head>
        <Sidebar />
        <section id={index.main}>
          <h1>
            <noscript>Hey there!</noscript>
            {randomHello()}
          </h1>
          <p>
            welcome to my corner of the internet. 
            <br />
            i'm lio, 21 y/o, from Germany. <i><strong>they/them</strong></i> pronouns. <br />software dev and ui designer
          </p>
        </section>
        <Lanyard />
      </main>
    </RenderWithoutJS>
  );

};

export default IndexPage